pdumodel::Outlet_2_1_5::Sensors Struct Reference

Outlet sensors More...

`import"Outlet.idl";`

## Public Attributes

sensors::NumericSensor_4_0_3 | voltage
| RMS voltage sensor.
sensors::NumericSensor_4_0_3 | current
| RMS current sensor.
sensors::NumericSensor_4_0_3 | peakCurrent
| Peak current sensor.
sensors::NumericSensor_4_0_3 | maximumCurrent
| Maximum current sensor.
sensors::NumericSensor_4_0_3 | unbalancedCurrent
| Current unbalance sensor.
sensors::NumericSensor_4_0_3 | activePower
| Active power sensor.
sensors::NumericSensor_4_0_3 | reactivePower
| Reactive power sensor.
sensors::NumericSensor_4_0_3 | apparentPower
| Apparent power sensor.
sensors::NumericSensor_4_0_3 | powerFactor
| Power factor sensor.
sensors::NumericSensor_4_0_3 | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor_4_0_3 | activeEnergy
| Active energy sensor.
sensors::NumericSensor_4_0_3 | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor_4_0_3 | phaseAngle
| Phase angle sensor.
sensors::NumericSensor_4_0_3 | lineFrequency
| AC line frequency sensor.
sensors::NumericSensor_4_0_3 | crestFactor
| Crest factor sensor.
sensors::StateSensor_4_0_3 | outletState
| Outlet power state sensor

## Detailed Description

Outlet sensors

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Outlet.idl